Create Merchant

API Explorer
https://externalapi.ipospays.tech/v2/merchant/onBoardMerchant
POST

Complete endpoint dedicated to onboarding a brand new merchant profile along with initial baseline configurations.

Authorization

AuthorizationHeader
token(Enter the auth token generated from the authentication endpoint)<token>

Authentication token generated using the API Key and Secret Key. Required for all API requests.

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com" \  -H "Content-Type: application/json" \  -d '{    "merchantData": {      "dba": "ABCZ",      "firstName": "John",      "lastName": "john",      "email": "te12st@gmail.com",      "addressLine1": "8320 S HARDY DRIVE",      "addressLine2": "8320 S HARDY DRIVE",      "zipCode": "85284",      "phoneNumber": "9898989898",      "ebt": "0910991",      "isoAgentReference": "123",      "isoMerchant": "123",      "merchantLogoUrl": "",      "ISDcode": "+1"    },    "storeData": {      "mccCode": "0742",      "firstName": "John",      "lastName": "john",      "dba": "ABCZ",      "addressLine1": "8320 S HARDY DRIVE",      "addressLine2": "8320 S HARDY DRIVE",      "zipCode": "85284",      "email": "te12st@gmail.com",      "phoneNumber": "9898989898",      "ISDcode": "+1",      "ebt": "0910991"    },    "tpnData": {      "deviceManufacturer": "Cloud POS",      "deviceModel": "Cloud POS",      "tpnApplicationSign": "CRDT",      "tpnRoutingType": "SIMPLE",      "tpnBin": "",      "defaultLabel": "onboardAPI",      "tpnAssignTemplate": "",      "tpnProcessor": {        "processorName": "TSYS",        "profile": [          {            "profileId": "01",            "Mid": "",            "Agent": "",            "Chain": "",            "Store": "5999",            "TermNo": "1515",            "TermId": "75091651",            "ABA_No": "",            "Agent_FIID": "",            "dsGroup": ""          },          {            "profileId": "02",            "Mid": "Mid number info",            "Agent": "Agent number info",            "Chain": "Chain number info",            "Store": "Store number info",            "TermNo": "Term Number info",            "TermId": "TermId number info",            "ABA_No": "ABA Number details",            "Agent_FIID": "Agent FIID info",            "dsGroup": "ds group info"          }        ]      }    }  }'
{
  "message": "Merchant onboard successfully",
  "data": {
    "merchantId": "merchId12chr",
    "storeId": "storeId12chr",
    "tpn": "75124668",
    "tpnId": "tpnId12chr"
  }
}
{
  "message": "Merchant onboard failure",
  "errors": [
    {
      "code": "mandatory_field",
      "message": "Device model input is mandatory",
      "param": "tpnData.deviceModel"
    }
  ]
}
{
  "message": "Access denied, invalid authorization token!",
  "errors": []
}